libcomps ..

Loading...
Searching...
No Matches
Data Fields
COMPS_ObjectInfo Struct Reference

`#include <comps_obj.h>`

## Data Fields
size_t | obj_size
void(* | constructor )(COMPS_Object *, COMPS_Object **)
void(* | destructor )(COMPS_Object *)
void(* | copy )(COMPS_Object *, COMPS_Object *)
COMPS_Object *(* | deep_copy )(COMPS_Object *, COMPS_Object *)
signed char(* | obj_cmp )(COMPS_Object *, COMPS_Object *)
char *(* | to_str )(COMPS_Object *)

## Detailed Description

Structure holding all importating callback functions supporting COMPS_Object derivate proper behavior. All callbacks except constructor and destructor are optional

See also
  comps_object_create

## Field Documentation

## ◆ constructor

void(* COMPS_ObjectInfo::constructor) (COMPS_Object *, COMPS_Object **)

pointer to derivate object constructor

See also
  comps_object_create

## ◆ copy

void(* COMPS_ObjectInfo::copy) (COMPS_Object *, COMPS_Object *)

pointer to derivate object copy function

See also
  comps_object_copy

## ◆ deep_copy

COMPS_Object *(* COMPS_ObjectInfo::deep_copy) (COMPS_Object *, COMPS_Object *)

currently unused

## ◆ destructor

void(* COMPS_ObjectInfo::destructor) (COMPS_Object *)

pointer to derivate objects destructor

See also
  comps_object_destroy

## ◆ obj_cmp

signed char(* COMPS_ObjectInfo::obj_cmp) (COMPS_Object *, COMPS_Object *)

pointer to comparator function

## ◆ obj_size

size_t COMPS_ObjectInfo::obj_size

size of derivate object which is sizeof(obj)

## ◆ to_str

char *(* COMPS_ObjectInfo::to_str) (COMPS_Object *)

pointer to string representation convert function

The documentation for this struct was generated from the following file:

- /build/libcomps/src/libcomps-0.1.21/libcomps/src/comps_obj.h